Skip to main content
`Ctrl`+`K`

# MFNMonitorCancel

Clears all monitors for an `MFN` object.

## Synopsis

    #include "slepcmfn.h"
    PetscErrorCode MFNMonitorCancel(MFN mfn)

Logically Collective

## Input Parameter

- mfn - the matrix function solver context

## Options Database Key

- -mfn_monitor_cancel - cancels all monitors that have been hardwired into a code by calls to `MFNMonitorSet()`, but does not cancel those set via the options database.

## See Also

MFN: Matrix Function, `MFNMonitorSet()`

## Level

intermediate

## Location

src/mfn/interface/mfnmon.c

Index of all MFN routines Table of Contents for all manual pages Index of all manual pages